<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\Migrations\Ticket;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

final class Version20251022081554 extends AbstractMigration
{
    public function getDescription(): string
    {
        return 'Add ordering property on motive entity';
    }

    public function up(Schema $schema): void
    {
        $this->addSql('ALTER TABLE chill_ticket.motive ADD ordering DOUBLE PRECISION DEFAULT \'0.0\'');
        $this->addSql('UPDATE chill_ticket.motive SET ordering = id * 100');
    }

    public function down(Schema $schema): void
    {
        $this->addSql('ALTER TABLE chill_ticket.motive DROP ordering');
    }
}
